function TennisPlayer(name, age, yearTurnedPro) {
	// call the parent constructor
	Player.call(this, name, age, yearTurnedPro);
	// inherit Player
	TennisPlayer.prototype = new Player();
	// correct the constructor pointer because it points to Player
	TennisPlayer.prototype.constructor = TennisPlayer;
	//members
	this.gameScore = 0;
	this.setScore = [0, -1, -1, -1, -1];
	this.gameArray = ['Love', '15', '30', '40', 'Adv', 'Game'];
  	//methods
	this.addPoint = function(opponent_score) {
		this.gameScore += 1;
		//alert(opponent_score + ":" + this.gameArray[this.gameScore]);
		if((opponent_score=='40' || opponent_score=='Deuce') && this.gameArray[this.gameScore]=='Adv') {
			return 'Adv';
		} else if(opponent_score=='Adv' && this.gameArray[this.gameScore]=='Adv') {
			this.gameScore -= 1;
			return 'Deuce';
		} else if(this.gameArray[this.gameScore]=='Adv') {
			return 'Game';
		}
		return this.gameArray[this.gameScore];
	}
	this.backToDeuce = function() {
		this.gameScore -= 1;
		return 'Deuce';
	}
	this.addGame = function() {
		this.setScore[0] += 1;
	}
	this.newGame = function() {
		this.gameScore = 0;
	}
}